import request from '@/utils/request'

// 查询洗眼器检查记录列表
export function listEyewash(query) {
  return request({
    url: '/emergency/eyewash/list',
    method: 'get',
    params: query
  })
}

// 查询洗眼器检查记录详细
export function getEyewash(id) {
  return request({
    url: '/emergency/eyewash/' + id,
    method: 'get'
  })
}

// 新增洗眼器检查记录
export function addEyewash(data) {
  return request({
    url: '/emergency/eyewash',
    method: 'post',
    data: data
  })
}

// 修改洗眼器检查记录
export function updateEyewash(data) {
  return request({
    url: '/emergency/eyewash',
    method: 'put',
    data: data
  })
}

// 删除洗眼器检查记录
export function delEyewash(id) {
  return request({
    url: '/emergency/eyewash/' + id,
    method: 'delete'
  })
}
